cvp.ws

## Class CVP

- java.lang.Object
- - cvp.ws.CVP

-     public class CVP
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CVP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckPrescrizioneResponse` | `chkPrescrizione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, AssistitoPrescrizione assistito, java.lang.String tipologia, java.lang.String dataPrescrizione, java.lang.String identificativoRicetta, java.lang.String iup, java.lang.String codMedicoSostituito, java.lang.String codMedicoPrescrittore, java.lang.String codEsenzione, java.lang.String annotazione, PrestazioniPrescritte elencoPrestazioni, java.lang.String flagCiclica, java.lang.String codBranca, java.lang.String relazioneRicovero, java.lang.String richiestaRicovero, java.lang.String versione, java.lang.String tipoRic, java.lang.String oscuramDati, java.lang.String ricettaInterna, java.lang.String tipoVisita, java.lang.String dispReg, java.lang.String indicazionePrescr, java.lang.String classePriorita, java.lang.String codDiagnosi, java.lang.String descrizioneDiagnosi, java.lang.String testata1)` Il servizio esegue i controlli sui dati della prescrizione e, in caso di esito positivo, li trasmette al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata.
    `PrescrizioneFirmataResponse` | `getPrescrizioneFirmata(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscale, java.lang.String codiceSanitario, java.lang.String identificativoRicetta, java.lang.String versione)` Servizio che restituisce i dettagli di una singola prescrizione tra quelle registrate nel sistema.
    `PrescrizioneIdentificataResponse` | `getPrescrizioneIdentificata(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscale, java.lang.String codiceSanitario, java.lang.String identificativoRicetta, java.lang.String versione, java.lang.String tipoOperazione)` Servizio che restituisce i dettagli di una singola prescrizione tra quelle registrate nel sistema e effettua la presa in carico della stessa nel sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata.
    `PrescrizioniIdentificateResponse` | `getPrescrizioniIdentificate(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codStruttErog, java.lang.String codFiscale, java.lang.String codPrescrittore, java.lang.String statoPrescr, java.lang.String tipoPrescr, java.lang.String dataEmissioneDal, java.lang.String dataEmissioneAl, java.lang.String dataErogazioneDal, java.lang.String dataErogazioneAl, java.lang.String versione)` Servizio che consente di cercare, in base ad un insieme di parametri di ricerca, un elenco di prescrizioni registrate nel Sistema.
    `ReportErogatoMensileResponse` | `getReportErogatoMensile(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String annoMese)` Il servizio permette di ottenere i dati delle sole ricette erogate in un determinato periodo di tempo.
    `ScreeningExamsResponse` | `getScreeningExams(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String fromDate, java.lang.String toDate, ExamsCodeList examCodeList)` Servizio che consente di estrarre, a partire dalle tabelle del SAR Puglia, l'elenco di tutte le prestazioni erogate relative a ricette dematerializzate.
    `ScreeningReportResponse` | `getScreeningReport(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String user, java.lang.String password, java.lang.String screeningTypeCode, java.lang.String idDoctor)` Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
    `ScreeningStatusResponse` | `getScreeningStatus(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String user, java.lang.String password, java.lang.String idPatient, java.lang.String screeningTypeCode, java.lang.String idDoctor)` Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
    `PrescriptionCheckResponse` | `prescriptionCheck(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String user, java.lang.String password, java.lang.String idPatient, java.lang.String examCode, java.lang.String idDoctor)` Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
    `AnnullaErogazioneFarmResponse` | `setAnnullaErogazioneFarm(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String IUP, java.lang.String versione, java.lang.String codAnnullamento)` Servizio che consente ad un erogatore di annullare l'intera erogazione farmaceutica.
    `AnnullaErogazioneSpecResponse` | `setAnnullaErogazioneSpec(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String IUP, ElencoPrestazioniErog elencoPrestazioniErog, java.lang.String versione, java.lang.String codAnnullamento)` Servizio che consente ad un erogatore specialista di annullare l'intera erogazione specialistica.
    `AnnullaPrescrizioneResponse` | `setAnnullaPrescrizione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String identificativoPrescrizione, java.lang.String versione)` Servizio che consente di annullare una prescrizione cambiandone lo stato in "Annullata".
    `CambioStatoPrescrizioneResponse` | `setCambioStatoPrescrizione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codStrutturaErogatrice, java.lang.String codNazionaleAziendaCup, java.lang.String codStatoPrescrizione, java.lang.String dataRiferimento, java.lang.String identificativoPrescrizione, java.lang.String codiceFiscale, java.lang.String versione, java.lang.String garanziaTempiMassimi, java.lang.String dataAssegnata, java.lang.String dataPrimaDisponibilita, java.lang.String canalePrenotazione)` Servizio che consente di cambiare lo stato di una prescrizione da prescritta a prenotata oppure da prenotata a prescritta.
    `RegistraErogazioneFarmResponse` | `setRegistraErogazioneFarm(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String erogazione, java.lang.String tipoOperazione, java.lang.String versione, java.lang.String idTiket, PrescrizioneDiff prescrizioneDiff, java.lang.Boolean oscurato)` Servizio che consente la registrazione di una erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione farmaceutica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata.
    `RegistraErogazioneSpecResponse` | `setRegistraErogazioneSpec(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String erogazione, java.lang.String tipoOperazione, java.lang.String versione, java.lang.String idTiket, PrescrizioneDiff prescrizioneDiff, java.lang.Boolean oscurato)` Servizio che consente la registrazione di una erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione specialistica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata.
    `RegistraPrescrizioneResponse` | `setRegistraPrescrizione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String prescrizione, java.lang.Boolean oscurato, java.lang.String idPCP)` Servizio che consente la registrazione di una prescrizione (in formato cda firmato, file p7m) completa di tutti i suoi elementi.
    `SospendiErogazioneRilasciaPrescrizioneResponse` | `setSospendiErogazioneRilasciaPrescrizione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String identificativoPrescrizione, java.lang.String cfAssistito, java.lang.String tipoOperazione)` Il servizio permette alle strutture di erogazione dei servizi sanitari di sospendere l'erogazione di una ricetta dematerializzata.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CVP

          public CVP()

  - ### Method Detail

    - #### getPrescrizioniIdentificate

          public PrescrizioniIdentificateResponse getPrescrizioniIdentificate(DatiOperatore datiOperatore,
                                                                              DatiApplicativo datiApplicativo,
                                                                              java.lang.String codStruttErog,
                                                                              java.lang.String codFiscale,
                                                                              java.lang.String codPrescrittore,
                                                                              java.lang.String statoPrescr,
                                                                              java.lang.String tipoPrescr,
                                                                              java.lang.String dataEmissioneDal,
                                                                              java.lang.String dataEmissioneAl,
                                                                              java.lang.String dataErogazioneDal,
                                                                              java.lang.String dataErogazioneAl,
                                                                              java.lang.String versione)

      Servizio che consente di cercare, in base ad un insieme di parametri di ricerca, un elenco di prescrizioni registrate nel Sistema.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `dataEmissioneDal` - Seleziona tutte le prescrizioni con data di emissione uguale o successiva alla data specificata nel formato GG/MM/AAAA. Parametro facoltativo
        `dataEmissioneAl` - Seleziona tutte le prescrizioni con data di emissione uguale o precedente alla data specificata nel formato GG/MM/AAAA. Parametro facoltativo
        `dataErogazioneDal` - Seleziona tutte le prescrizioni con data di di erogazione uguale o successiva alla data specificata nel formato GG/MM/AAAA. Parametro facoltativo
        `dataErogazioneAl` - Seleziona tutte le prescrizioni con data di di erogazione uguale o precedente alla data specificata nel formato GG/MM/AAAA. Parametro facoltativo
        `codStruttErog` - Codice regionale della struttura erogatrice. Parametro facoltativo.
        `codFiscale` - Codice fiscale dell'assistito a cui é intestata la ricetta da cercare. Parametro facoltativo.
        `codPrescrittore` - Codice regionale del medico prescrittore. Parametro facoltativo.
        `statoPrescr` - Stato della prescrizione. Può assumere i seguenti valori:
        - 0=prescrizione annullata;
        - 1= prescrizione prescritta;
        - 2= prescrizione prenotata;
        - 3= prescrizione accettata;
        - 4= prescrizione erogata;
        - 8= prescrizione in erogazione; Parametro facoltativo.
        `tipoPrescr` - Codice del tipo di prescrizione. Può assumere i seguenti valori:
        - 1=prescrizione farmaceutica;
        - 2= prescrizione di ricovero;
        - 3= prescrizione specialistica;
        - 4= Tutte i tipi di prescrizione. Parametro facoltativo.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.00
      Returns:
        PrescrizioniIdentificateResponse Restituisce l'elenco dell prescrizioni trovare oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000005: Dato non valido
        - 000061: Valorizzare almeno un periodo di ricerca
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setAnnullaErogazioneFarm

          public AnnullaErogazioneFarmResponse setAnnullaErogazioneFarm(DatiOperatore datiOperatore,
                                                                        DatiApplicativo datiApplicativo,
                                                                        java.lang.String IUP,
                                                                        java.lang.String versione,
                                                                        java.lang.String codAnnullamento)

      Servizio che consente ad un erogatore di annullare l'intera erogazione farmaceutica. Restituisce l'esito dell'operazione di annullamento erogazione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `IUP` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.01
        `codAnnullamento` - valore ammesso uguale a 2: per erogatori farmaceutici – permette di comunicare al sistema che qualsiasi altro dato al di fuori della targa precedentemente trasmesso deve essere annullato e comunicato successivamente con gli appositi web services o applicazione web. facoltativo.
      Returns:
        AnnullaErogazioneFarmResponse Restituisce l'esito dell'annullamento (true) e opzionalmente una lista di errori riscontrati durante il processo di annullamento non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000282: Non è possibile annullare l'erogazione perchè non è in stato di Erogata.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setAnnullaErogazioneSpec

          public AnnullaErogazioneSpecResponse setAnnullaErogazioneSpec(DatiOperatore datiOperatore,
                                                                        DatiApplicativo datiApplicativo,
                                                                        java.lang.String IUP,
                                                                        ElencoPrestazioniErog elencoPrestazioniErog,
                                                                        java.lang.String versione,
                                                                        java.lang.String codAnnullamento)

      Servizio che consente ad un erogatore specialista di annullare l'intera erogazione specialistica. Restituisce l'esito dell'operazione di annullamento erogazione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `IUP` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `elencoPrestazioniErog` - Elenco delle prestazioni erogate da annullare (tag deprecato a partire dalla versione a 4.01 di questo servizio). Parametro facoltativo
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.01
        `codAnnullamento` - valore ammesso uguale a 2: per erogatori specialistici – permette di comunicare al sistema che qualsiasi altro dato al di fuori della data di erogazione precedentemente trasmesso deve essere annullato e comunicato successivamente con gli appositi web services o applicazione web. facoltativo.
      Returns:
        AnnullaErogazioneSpecResponse Restituisce l'esito dell'annullamento (true) e opzionalmente una lista di errori riscontrati durante il processo di annullamento non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000309: Non è possibile annullare l'erogazione delle prestazioni specificate perchè i relativi codici non corrispondono a prestazioni erogate o presentano errori di formato.
        - 000310: Non è possibile annullare l'erogazione delle prestazioni specificate perchè le relative quantità non sono coerenti con le quantità delle prestazioni erogate.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000282: Non è possibile annullare l'erogazione perchè non è in stato di Erogata.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setAnnullaPrescrizione

          public AnnullaPrescrizioneResponse setAnnullaPrescrizione(DatiOperatore datiOperatore,
                                                                    DatiApplicativo datiApplicativo,
                                                                    java.lang.String identificativoPrescrizione,
                                                                    java.lang.String versione)

      Servizio che consente di annullare una prescrizione cambiandone lo stato in "Annullata". Restituisce l'esito dell'operazione di annullamento prescrizione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `identificativoPrescrizione` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.00
      Returns:
        AnnullaPrescrizioneResponse Restituisce l'esito dell'annullamento (true) e opzionalmente una lista di errori riscontrati durante il processo di annullamento non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000280: Non è possibile annullare la prescrizione emessa da un altro medico.
        - 000279: Non è possibile annullare la prescrizione perchè non è in stato di Prescritta.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setCambioStatoPrescrizione

          public CambioStatoPrescrizioneResponse setCambioStatoPrescrizione(DatiOperatore datiOperatore,
                                                                            DatiApplicativo datiApplicativo,
                                                                            java.lang.String codStrutturaErogatrice,
                                                                            java.lang.String codNazionaleAziendaCup,
                                                                            java.lang.String codStatoPrescrizione,
                                                                            java.lang.String dataRiferimento,
                                                                            java.lang.String identificativoPrescrizione,
                                                                            java.lang.String codiceFiscale,
                                                                            java.lang.String versione,
                                                                            java.lang.String garanziaTempiMassimi,
                                                                            java.lang.String dataAssegnata,
                                                                            java.lang.String dataPrimaDisponibilita,
                                                                            java.lang.String canalePrenotazione)

      Servizio che consente di cambiare lo stato di una prescrizione da prescritta a prenotata oppure da prenotata a prescritta. Restituisce l'esito dell'operazione di cambio stato.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `identificativoPrescrizione` - Codice identificativo univoco della prescrizione (IUP) o Numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `codStrutturaErogatrice` - Codice nazionale della struttura erogatrice presso cui è stata effettuata la prenotazione. Parametro obbligatorio. In caso di flusso DM 2011 per rilasciare la presa in carico prima di aver comunicato il codice della struttura erogatrice avvalorare con 000000
        `codNazionaleAziendaCup` - Codice nazionale di riferimento del CUP. Parametro obbligatorio.
        `codStatoPrescrizione` - Codice dello stato da impostare alla prescrizione. Può assumere i seguenti valori:
        - 1=prescritta;
        - 2=prenotata;
        Parametro obbligatorio.
        `dataRiferimento` - Data in cui la prescrizione cambia stato nel formato GG/MM/AAAA. Parametro obbligatorio
        `codiceFiscale` - Codice fiscale dell'assistito a cui é intestata la ricetta. Parametro facoltativo.
        `garanziaTempiMassimi` - rappresenta la garanzia dei tempi massimi di attesa. Può assumere i seguenti valori:
        - 1=tempo massimo garantito;
        - 0=tempo massimo non garantito;
        Parametro facoltativo..
        `dataAssegnata` - data di assegnazione dell'appuntamento per la prestazione oggetto della prenotazione. Tipo data, formato aaaa-mm-gg. Parametro facoltativo..
        `dataPrimaDisponibilita` - Data al primo appuntamento disponibile per la prestazione oggetto della prenotazione. Tipo data, formato aaaa-mm-gg. Parametro facoltativo..
        `canalePrenotazione` - Canale tramite cui l'utente effettua la prenotazione delle prestazioni. Può assumere i seguenti valori:
        - 1=Sportello CUP;
        - 2=Call Center;
        - 3=Telefono;
        - 4=Farmacia;
        - 5=Operatori Sanitari medici, infermieri, ecc.;
        - 6=Sportello CUP Altro;
        - 7=Internet;
        - 8=Altro;
        - 9=Non Specificato;
        - 10=CUP Federato;
        Parametro facoltativo..
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.01
      Returns:
        CambioStatoPrescrizioneResponse Restituisce l'esito del cambio stato (true) oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000257: Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000224: Lo stato di Prescritta può essere impostato solo a prescrizioni specialistiche già presenti e con stato di Prenotata.
        - 000225: Lo stato di Prenotata può essere impostato solo a prescrizioni specialistiche già presenti e con stato di Prescritta o Prenotata.
        - 000226: Il cambio di stato può essere eseguito solo per prescrizioni specialistiche.
        - 000227: La data di riferimento del cambio stato è precedente alla data di registrazione della prescrizione.
        - 000229: E' stato impostato un stato diverso da Prescritto o Prenotato.
        - 000278: La data di riferimento del cambio stato è successiva alla data odierna.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setRegistraPrescrizione

          public RegistraPrescrizioneResponse setRegistraPrescrizione(DatiOperatore datiOperatore,
                                                                      DatiApplicativo datiApplicativo,
                                                                      java.lang.String prescrizione,
                                                                      java.lang.Boolean oscurato,
                                                                      java.lang.String idPCP)

      Servizio che consente la registrazione di una prescrizione (in formato cda firmato, file p7m) completa di tutti i suoi elementi. Il cda è in formato XML e può contenere una prescrizione farmaceutica oppure una prescrizione di ricovero oppure una specialistica. In caso di prescrizione off-line contenente errori verrà inviata una e-mail di segnalazione dell'anomalia agli indirizzi e-mail del medico prescrittore e all’e-mail di help-desk.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `prescrizione` - CDA firmato (file p7m) della prescrizione. Parametro obbligatorio.
        `oscurato` - indica se la prescrizione, registrata nel fascicolo dell'assistito, deve essere oscurata per volontà dell'assistito stesso. Parametro facoltativo.
        `idPCP` - indica il riferimento all’identificativo del Piano CarePuglia (PCP). Viene valorizzato se la prescrizione afferisce al PCP. Parametro facoltativo.
      Returns:
        RegistraPrescrizioneResponse Restituisce l'esito della registrazione della prescrizione(true) oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000059: Il numero di caratteri inseriti eccede il limite consentito.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000022: L'operazione di inserimento non è riuscita. Attendere qualche minuto e riprovare.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido
        - 100002: Manca dato obbligatorio
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi
        - 000059: Il numero di caratteri inseriti eccede il limite consentito.
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000271: Il firmatario del documento è diverso dall'operatore che ha richiesto la registrazione.
        - 000272: L'autore del documento è diverso dal firmatario.
        - 000303: La data di firma del cda deve essere uguale alla data di creazione dello stesso.
        - 000304: L'orario di firma del cda deve essere successivo all'orario di creazione dello stesso.
        - 000286: CRL non censita. Contattare il supporto tecnico.
        - 000287: CRL non presente. Contattare il supporto tecnico.
        - 000288: Il certificato è stato revocato.
        - 000289: Il certificato è scaduto.
        - 000290: Il certificato non è valido.
        - 900000: Il documento CDA non è conforme allo schema HL7.ClinicalDocument di riferimento.
        - 000163: L'assistito non ha un'iscrizione attiva all'anagrafe sanitaria regionale.

    - #### setRegistraErogazioneSpec

          public RegistraErogazioneSpecResponse setRegistraErogazioneSpec(DatiOperatore datiOperatore,
                                                                          DatiApplicativo datiApplicativo,
                                                                          java.lang.String erogazione,
                                                                          java.lang.String tipoOperazione,
                                                                          java.lang.String versione,
                                                                          java.lang.String idTiket,
                                                                          PrescrizioneDiff prescrizioneDiff,
                                                                          java.lang.Boolean oscurato)

      Servizio che consente la registrazione di una erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione specialistica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata. A partire dalla versione 4.02 del documento di specifiche d'integrazione tale servizio permetterà la gestione completa di tutte le tipologie di erogazione previste nel DM 2 novembre 2011. La tipologia di erogazione va esplicitata nel tag tipoOperazione e può assumere i valori da 1 a 6.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `erogazione` - CDA firmato (file p7m) dell'erogazione specialsitica Parametro obbligatorio.
        `tipoOperazione` - Tipologia di operazione che l'erogatore vuole compiere sulla ricetta dematerializzata. Può assumere i seguenti valori:
        - 1 = erogazione totale della ricetta: tutte le prescrizioni / prestazioni specialistiche contenute in ricetta vengono erogate in un unico momento temporale e la ricetta deve considerarsi completamente erogata.
        - 3 = erogazione parziale: solo parte delle prescrizioni / prestazioni specialistiche contenute in ricetta vengono erogate, ma la ricetta deve considerarsi completamente erogata. L'azione avviene in un unico momento temporale, solitamente per volontà dell'assistito che decide di non usufruire di tutto ciò che il medico ha prescritto.
        Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Le tipologie di erogazione singola, parziale e differita saranno attive a partire dalla versione 4.02
        `idTiket` - numero della segnalazione avvalorare solo in caso di erogazione differita, può contenere o il numero della segnalazione restituito dal helpdesk durnate la fase di apertura della segnalazione o uno fra i seguenti valori:
        - DIFFSAC1 = Malfunzionamento imputabile al sistema di accoglienza centrale SAC
        - DIFFSAR2 = Malfunzionamento imputabile al SIST
        In caso di fermi programmati di sistema, sarà cura dei refernti regionali del SIST di informare con ampio anticipo gli erogatori in caso di blocchi temporanei e improvvisi del sistema. Nella medesima comunicazione gli erogatori saranno informati di quale codice inserire nel campo idTiket. Se il guasto è imputabile al sistema client del singolo erogatore allora questo dovrà comunicare la segnalazione del proprio guasto telefonicamente all'helpdesk del SIST. Sarà cura dell'operatore restituire il della segnalazione aperta da inserire nel suddetto campo.
        `prescrizioneDiff` - dati di prescrizione riportati sul promemoria cartaceo da avvalorare in caso di erogazione differita secondo quanto descritto nel documento Specifiche di integrazione PDD ASL.doc nella sezione 'Erogare prescrizione farmaceutica – Modalità differita'
        `oscurato` - indica se l'erogazione, registrata nel fascicolo dell'assistito, deve essere oscurata per volontà dell'assistito stesso. Parametro facoltativo.
      Returns:
        RegistraErogazioneSpecResponse Restituisce l'esito della registrazione dell'erogazione e opzionalmente una lista di errori riscontrati durante il processo di trasmissione dell'erogato verso il sistema di accoglienza centrale, oppure un Fault nel caso di errore. Se si tratta di una erogazione senza prescrizione viene restituito l'IUP generato per la prescrizione di supporto.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido
        - 100002: Manca dato obbligatorio
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000271: Il firmatario del documento è diverso dall'operatore che ha richiesto la registrazione.
        - 000272: L'autore del documento è diverso dal firmatario.
        - 000303: La data di firma del cda deve essere uguale alla data di creazione dello stesso.
        - 000304: L'orario di firma del cda deve essere successivo all'orario di creazione dello stesso.
        - 000286: CRL non censita. Contattare il supporto tecnico.
        - 000287: CRL non presente. Contattare il supporto tecnico.
        - 000288: Il certificato è stato revocato.
        - 000289: Il certificato è scaduto.
        - 000290: Il certificato non è valido.
        - 900000: Il documento CDA non è conforme allo schema HL7.ClinicalDocument di riferimento.
        - 000163: L'assistito non ha un'iscrizione attiva all'anagrafe sanitaria regionale.
        - 000327: L'assistito specificato in input non e' lo stesso della prescrizione.

    - #### setRegistraErogazioneFarm

          public RegistraErogazioneFarmResponse setRegistraErogazioneFarm(DatiOperatore datiOperatore,
                                                                          DatiApplicativo datiApplicativo,
                                                                          java.lang.String erogazione,
                                                                          java.lang.String tipoOperazione,
                                                                          java.lang.String versione,
                                                                          java.lang.String idTiket,
                                                                          PrescrizioneDiff prescrizioneDiff,
                                                                          java.lang.Boolean oscurato)

      Servizio che consente la registrazione di una erogazione (in formato cda firmato, file p7m) di prestazioni inerenti ad una prescrizione farmaceutica e trasmette i dati al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata. A partire dalla versione 4.02 del documento di specifiche d'integrazione tale servizio permetterà la gestione completa di tutte le tipologie di erogazione previste nel DM 2 novembre 2011. La tipologia di erogazione va esplicitata nel tag tipoOperazione e può assumere i valori da 1 a 5.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `erogazione` - CDA firmato (file p7m) della erogazione farmaceutica Parametro obbligatorio.
        `tipoOperazione` - Tipologia di operazione che l'erogatore vuole compiere sulla ricetta dematerializzata. Può assumere i seguenti valori:
        - 1 = erogazione totale della ricetta: tutte le prescrizioni / prestazioni specialistiche contenute in ricetta vengono erogate in un unico momento temporale e la ricetta deve considerarsi completamente erogata.
        - 2 = erogazione singola della ricetta: le prescrizioni / prestazioni specialistiche contenute nella ricetta vengono erogate singolarmente in momenti temporali diversi ma dallo stesso erogatore. La ricetta si considera completamente erogata, a seguito di apposita comunicazione.
        - 3 = erogazione parziale: solo parte delle prescrizioni / prestazioni specialistiche contenute in ricetta vengono erogate, ma la ricetta deve considerarsi completamente erogata. L'azione avviene in un unico momento temporale, solitamente per volontà dell'assistito che decide di non usufruire di tutto ciò che il medico ha prescritto.
        Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Le tipologie di erogazione singola, parziale e differita saranno attive a partire dalla versione 4.02
        `idTiket` - numero della segnalazione avvalorare solo in caso di erogazione differita, può contenere o il numero della segnalazione restituito dal helpdesk durnate la fase di apertura della segnalazione o uno fra i seguenti valori:
        - DIFFSAC1 = Malfunzionamento imputabile al sistema di accoglienza centrale SAC
        - DIFFSAR2 = Malfunzionamento imputabile al SIST
        In caso di fermi programmati di sistema, sarà cura dei refernti regionali del SIST di informare con ampio anticipo gli erogatori in caso di blocchi temporanei e improvvisi del sistema. Nella medesima comunicazione gli erogatori saranno informati di quale codice inserire nel campo idTiket. Se il guasto è imputabile al sistema client del singolo erogatore allora questo dovrà comunicare la segnalazione del proprio guasto telefonicamente all'helpdesk del SIST. Sarà cura dell'operatore restituire il della segnalazione aperta da inserire nel suddetto campo.
        `prescrizioneDiff` - dati di prescrizione riportati sul promemoria cartaceo da avvalorare in caso di erogazione differita secondo quanto descritto nel documento Specifiche di integrazione PDD ASL.doc nella sezione 'Erogare prescrizione farmaceutica – Modalità differita'
        `oscurato` - indica se l'erogazione, registrata nel fascicolo dell'assistito, deve essere oscurata per volontà dell'assistito stesso. Parametro facoltativo.
      Returns:
        RegistraErogazioneFarmResponse Restituisce l'esito della registrazione dell'erogazione (true) e opzionalmente una lista di errori riscontrati durante il processo di trasmissione dell'erogato verso il sistema di accoglienza centrale, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido
        - 100002: Manca dato obbligatorio
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000271: Il firmatario del documento è diverso dall'operatore che ha richiesto la registrazione.
        - 000272: L'autore del documento è diverso dal firmatario.
        - 000303: La data di firma del cda deve essere uguale alla data di creazione dello stesso.
        - 000304: L'orario di firma del cda deve essere successivo all'orario di creazione dello stesso.
        - 000286: CRL non censita. Contattare il supporto tecnico.
        - 000287: CRL non presente. Contattare il supporto tecnico.
        - 000288: Il certificato è stato revocato.
        - 000289: Il certificato è scaduto.
        - 000290: Il certificato non è valido.
        - 900000: Il documento CDA non è conforme allo schema HL7.ClinicalDocument di riferimento.
        - 000163: L'assistito non ha un'iscrizione attiva all'anagrafe sanitaria regionale.
        - 000327: L'assistito specificato in input non e' lo stesso della prescrizione.
        - 910003: Ricetta scaduta.

    - #### getPrescrizioneIdentificata

          public PrescrizioneIdentificataResponse getPrescrizioneIdentificata(DatiOperatore datiOperatore,
                                                                              DatiApplicativo datiApplicativo,
                                                                              java.lang.String codiceFiscale,
                                                                              java.lang.String codiceSanitario,
                                                                              java.lang.String identificativoRicetta,
                                                                              java.lang.String versione,
                                                                              java.lang.String tipoOperazione)

      Servizio che restituisce i dettagli di una singola prescrizione tra quelle registrate nel sistema e effettua la presa in carico della stessa nel sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata. La presa in carico sarà effettuata solo se il chiamante di tale servizio è un erogatore, altrimenti il servizio si limiterà a restituire i dati della prescrizione. Se nel sistema la prescrizione è registrata anche in formato CDA viene restituito il documento CDA della prescrizione (in chiaro, non firmato), altrimenti (nel caso di prescrizioni di supporto o di prescrizioni provenienti da regioni diverse da regione Puglia) vengono restituiti i dati atomici della prescrizione. Nel caso di prescrizioni fuori regione i dati della prescrizione saranno quelli recuperati direttamente dal sistema di accoglienza centrale (SAC) Viene adottata un'identificazione "forte", pertanto vanno specificati sia il codice fiscale dell'assistito (o in alternativa quello sanitario) che l'identificativo ricetta.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscale` - Codice fiscale, codice STP/ENI dell'assistito a cui é intestata la ricetta da cercare. Parametro obbligatorio se non é specificato il codiceSanitario.
        `codiceSanitario` - Codice identificativo dell'assistito a cui é intestata la ricetta da cercare. Parametro obbligatorio se non é specificato il campo codiceFiscale.
        `identificativoRicetta` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.01
        `tipoOperazione` - tipologia di operazione richiesta facoltativo. Valori possibili:
        - 4 = visualizzazione dei dati dell'assistito oscurati dal medico. L'erogatore, nel caso in cui l'assistito abbia richiesto al medico in fase di compilazione della ricetta dematerializzata di oscurare il suo cognome e nome e il suo indirizzo, deve appositamente richiedere al SIST, di consultare tali dati, come previsto dalla legge. Il SIST tiene conto di tale richiesta nei propri archivi.
        - 6 = chiusura dell'erogazione farmaceutica/specialistica non a carico SSN. Dopo la chiusura con tipoOperazione 6:
          a. Per la farmaceutica, è possibile richiamare il servizio setSospendiErogazioneRilasciaPrescrizione con tipoOperazione 3, per annullare la chiusura e far ritornare la ricetta in stato da erogare;
          b. Per la specialistica, è possibile richiamare il servizio setCambioStatoPrescrizione con tipoOPerazione 1, per annullare la chiusura da parte dei CUP/Privati accreditati, riportando la ricetta in stato da erogare.
        - 1 = visualizzazione dei dati atomici della ricetta ricevuti dal SAC richiamando il servizio DemVisualizzaErogato con tipo operazione 1.
      Returns:
        PrescrizioneIdentificataResponse Restituisce i dati della prescrizione trovata (se esiste il CDA la prescrizione viene restituita sottoforma di documento CDA2 in chiaro, non firmato) e opzionalmente una lista di errori riscontrati durante il processo di presa in carico non andata a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000005: Dato non valido
        - 000060: Codice ricetta inserito non valido
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 910002: Prescrizione non identificata e SAC non disponibile
        - 910003: Ricetta scaduta.

    - #### getPrescrizioneFirmata

          public PrescrizioneFirmataResponse getPrescrizioneFirmata(DatiOperatore datiOperatore,
                                                                    DatiApplicativo datiApplicativo,
                                                                    java.lang.String codiceFiscale,
                                                                    java.lang.String codiceSanitario,
                                                                    java.lang.String identificativoRicetta,
                                                                    java.lang.String versione)

      Servizio che restituisce i dettagli di una singola prescrizione tra quelle registrate nel sistema. Se nel sistema la prescrizione è registrata anche in formato CDA viene restituito il documento CDA firmato (file p7m), altrimenti (nel caso di prescrizioni di supporto) vengono restituiti i dati atomici della prescrizione. Viene adottata un'identificazione "forte", pertanto vanno specificati sia il codice fiscale dell'assistito (o in alternativa quello sanitario) che l'identificativo ricetta.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscale` - Codice identificativo dell'assistito a cui é intestata la ricetta da cercare. Parametro obbligatorio se non é specificato il codiceSanitario.
        `codiceSanitario` - Codice sanitario regionale dell'assistito a cui é intestata la ricetta da cercare. Parametro obbligatorio se non é specificato il codiceFiscale.
        `identificativoRicetta` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.00
      Returns:
        PrescrizioneFirmataResponse Restituisce i dati della prescrizione trovata (se esiste il CDA la prescrizione viene restituita sottoforma di documento CDA2 firmato (file p7m) oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000005: Dato non valido
        - 000060: Codice ricetta inserito non valido
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000218: Il CDA non è valido
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### chkPrescrizione

          public CheckPrescrizioneResponse chkPrescrizione(DatiOperatore datiOperatore,
                                                           DatiApplicativo datiApplicativo,
                                                           AssistitoPrescrizione assistito,
                                                           java.lang.String tipologia,
                                                           java.lang.String dataPrescrizione,
                                                           java.lang.String identificativoRicetta,
                                                           java.lang.String iup,
                                                           java.lang.String codMedicoSostituito,
                                                           java.lang.String codMedicoPrescrittore,
                                                           java.lang.String codEsenzione,
                                                           java.lang.String annotazione,
                                                           PrestazioniPrescritte elencoPrestazioni,
                                                           java.lang.String flagCiclica,
                                                           java.lang.String codBranca,
                                                           java.lang.String relazioneRicovero,
                                                           java.lang.String richiestaRicovero,
                                                           java.lang.String versione,
                                                           java.lang.String tipoRic,
                                                           java.lang.String oscuramDati,
                                                           java.lang.String ricettaInterna,
                                                           java.lang.String tipoVisita,
                                                           java.lang.String dispReg,
                                                           java.lang.String indicazionePrescr,
                                                           java.lang.String classePriorita,
                                                           java.lang.String codDiagnosi,
                                                           java.lang.String descrizioneDiagnosi,
                                                           java.lang.String testata1)

      Il servizio esegue i controlli sui dati della prescrizione e, in caso di esito positivo, li trasmette al sistema di accoglienza centrale in ottemperanza al decreto del Ministero dell'economia e delle finanze DM 2 novembre 2011 - Ricetta dematerializzata. Può restitire un elenco di anomalie (come da appendice A del documento di specifiche di integrazione) oppure i campi IUP e codAutenticazione.
      In presenza del solo campo IUP il prescrittore dovrà stampare il prescritto su ricetta rossa secondo il flusso DPCM 26 marzo 2008.
      In presenza di entrambi i campi IUP e codAutenticazione il prescrittore dovrà stampare il prescritto su promemoria secondo il flusso DM 2 novembre 2011
      In presenza dell'elenco di anomalie il prescrittore dovrà correggere i dati della prescrizione.
      Parameters:
        `datiOperatore` - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `versione` - numero di versione del documento di specifiche di integrazione PDDASL. Parametro facoltativo. Riportare il numero di versione del documento 'Specifiche di integrazione PDD ASL.doc' indicato sulla prima pagina. Il flusso DM 2011 è attivo a partire dalla versione 4.00
        `tipologia` - Codice del tipo di prescrizione. Può assumere i seguenti valori:
        - 1 = Farmaceutica;
        - 2 = Ricovero.
        - 3 = Specialistica.
        Parametro obbligatorio.
        `assistito` - assistito oggetto della prescrizione. Parametro obbligatorio
        `dataPrescrizione` - Data di emissione della prescrizione nel formato GG/MM/AAAA. Parametro obbligatorio. A partire dalla versione 4.00 del documento di specifiche di integrazione, la data di emissione della prescrizione va specificata nel formato GG/MM/AAAA HH:mm:ss
        `iup` - Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). Parametro facoltativo.
        `identificativoRicetta` - Codice identificativo della ricetta stampato dal poligrafico dello stato sulla ricetta cartacea. Parametro facoltativo.
        `codMedicoSostituito` - Codice regionale del medico sostituito nel caso di prescrizione emessa da sostituto. Parametro obbligatorio solo se si tratta di prescrizione emessa dal medico sostituto.
        `codMedicoPrescrittore` - Codice regionale del medico che ha prescritto la ricetta. Parametro obbligatorio.
        `codEsenzione` - Codice di esenzione applicato alla prescrizione. Contiene il codice 'NES00' se si tratta di ricetta non esente. Parametro obbligatorio.
        `annotazione` - annotazioni indicate nella prescrizione. Parametro facoltativo.
        `elencoPrestazioni` - Elenco delle prestazioni prescritte, da specificare sempre nel caso di prescrizioni di tipo specialistica e farmaceutica. Parametro facoltativo
        `flagCiclica` - Indica se la prescrizione contiene solo prestazioni cicliche o meno.
        - 0 = la prescrizione contiene prestazioni non cicliche;
        - 1 = la prescrizione contiene prestazioni cicliche.
        Parametro obbligatorio.
        `codBranca` - Codice della branca specialistica della ricetta. Da specificare solo nel caso di prescrizione di tipo specialistica. Parametro facoltativo.
        `relazioneRicovero` - Descrizione della relazione di ricovero. Parametro facoltativo.
        `richiestaRicovero` - Descrizione della richiesta di ricovero. Parametro facoltativo.
        `tipoRic` - Rappresenta la tipologia della ricetta che si sta compilando, secondo i valori riportati di seguito. Il dato è facoltativo in quanto per i soggetti assistiti dal Servizio Sanitario Nazionale in possesso di Tessera Sanitaria, il dato non va impostato. Valori ammessi:
        - "null" = Assistiti del Servizio Sanitario Nazionale provvisti i codice fiscale
        - EE = Assicurati extra-europei in temporaneo soggiorno
        - UE = Assicurati europei in temporaneo soggiorno
        - NA = Assistiti SASN con visita ambulatoriale
        - ND = Assistiti SASN con visita domiciliare
        - NE = Assistiti da istituzioni europee
        - NX = Assistiti SASN extraeuropei
        - ST = Stranieri in temporaneo soggiorno
        Parametro facoltativo.
        `oscuramDati` - Su richiesta dell'assistito i dati relativi al suo Cognome, Nome e Indirizzo possono essere oscurati e non resi visibili all'erogatore. Valori ammessi:
        - "null" = dati visibili all'erogatore
        - 1 = dati oscurati all’erogatore e visibili solo su richiesta
        `ricettaInterna` - Il campo, se impostato, indica che la ricetta per prestazioni specialistiche prescritta internamente ad una struttura pubblica deve essere erogata all'interno della stessa struttura. Valori ammessi:
        - "null" = la ricetta non è sottoposta a vincoli di erogazione in una determinata struttura
        - 1 = la ricetta deve essere erogata nella stessa struttura di prescrizione.
        `tipoVisita` - Tipologia della visita. Valori ammessi:
        - A = ambulatoriale
        - D = domiciliare
        Parametro facoltativo, obbligatorio a partire dalla versione 4.00 dal documento di specifiche di integrazione.
        `dispReg` - Rappresenta uno spazio dove possono essere inseriti codici che hanno valenza regionale, secondo le indicazioni di compilazione date da ciascuna regione ai medici.
        `indicazionePrescr` - Tipologia della prescrizione. Valori ammessi:
        - "null" = campo non impostato
        - S = Suggerita
        - H = Ricovero
        `classePriorita` - Classe di priorità della prescrizione. Valori ammessi:
        - "null" = campo non impostato
        - U = Nel più breve tempo possibile, comunque, se differibile, entro 72 ore
        - B = Entro 10 giorni
        - D = Entro 30 (visite), entro 60 giorni (visitestrumentali)
        - P = Senza priorità
        `codDiagnosi` - Codice diagnosi o del sospetto diagnostico secondo la codifica ICD9-CM; Regole di compilazione dei campi codDiagnosi e descrizioneDiagnosi per ricette specialistiche: ciascuno dei due campi può essere compilato in alternativa all’altro, oppure possono essere compilati entrambi valori possibili:
        - solo codDiagnosi compilato
        - solo descrDiagnosi compilato
        - codDiagnosi e descrDiagnosi compilati entrambi
        Per tutte le prescrizioni specialistiche dematerializzate la compilazione di almeno uno dei due campi è obbligatoria.
        `descrizioneDiagnosi` - Descrizione della diagnosi o del sospetto diagnostico in testo libero; Regole di compilazione dei campi codDiagnosi e descrizioneDiagnosi per ricette specialistiche: ciascuno dei due campi può essere compilato in alternativa all’altro, oppure possono essere compilati entrambi; valori possibili:
        - solo codDiagnosi compilato
        - solo descrDiagnosi compilato
        - codDiagnosi e descrDiagnosi compilati entrambi
        Per tutte le prescrizioni specialistiche dematerializzate la compilazione di almeno uno dei due campi è obbligatoria.
        `testata1` - Veicola il protocollo associato all’eventuale piano terapeutico associato al farmaco prescritto.
      Returns:
        CheckPrescrizioneResponse Restituisce l'elenco delle anomalie riscontrate col processo di controllo dei dati della prescrizione. Nel caso in cui non saranno presenti anomalie bloccanti saranno restituiti il campo IUP contenente l'identificativo della prescrizione (IUP/NRE) e - se disponibile - il campo codAutenticazione ed elenco comunicazioni (contenente il nome e cognome del medico prescrittore) restituito dal SAC da stampare nel promemoria.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### setSospendiErogazioneRilasciaPrescrizione

          public SospendiErogazioneRilasciaPrescrizioneResponse setSospendiErogazioneRilasciaPrescrizione(DatiOperatore datiOperatore,
                                                                                                          DatiApplicativo datiApplicativo,
                                                                                                          java.lang.String identificativoPrescrizione,
                                                                                                          java.lang.String cfAssistito,
                                                                                                          java.lang.String tipoOperazione)

      Il servizio permette alle strutture di erogazione dei servizi sanitari di sospendere l'erogazione di una ricetta dematerializzata. Tale operazione, può avvenire solo dopo che la ricetta dematerializzata è stata presa in carico in maniera esclusiva da parte di una struttura di erogazione. Un esempio tipico di utilizzo di questo servizio è la mancanza di disponibilità dei farmaci che devono essere ordinati. La revoca della sospensione e il conseguente rilascio della presa in carico può essere attivata attraveso il seguente servizio semplicemente specificando l'apposita tipologia di operazione attraverso il tag tipoOperazione. E' inoltre possibile attraverso questo servizio comunicare la chiusura di erogazioni singole o semplicemente rilasciare la presa in carico della prescrizione.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `identificativoPrescrizione` - Identificativo della prescrizione (NRE) parametro facoltativo
        `cfAssistito` - Codice fiscale dell'assistito parametro facoltativo. Se l'assistito è provvisto di Tessera Sanitaria l'elemento è obbligatorio, se l'assistito non possiede il codice fiscale lasciare il campo vuoto.
        `tipoOperazione` - tipologia di operazione richiesta - Valori possibili:
        - 1 = Inizio sospensione
        - 2 = Revoca sospensione
        - 3 = Rilascio della presa in carico
        - 6 = chiusura di erogazioni singole: comunica la chiusura di erogazioni singole. Per poter utilizzare il tipo operazione 6, è necessario che almeno una delle prescrizioni sia stata erogata in maniera singola (tipoOperazione = 6).
        parametro obbligatorio.
      Returns:
        SospendiErogazioneRilasciaPrescrizioneResponse Restituisce l'esito dell'operazione (true) e e opzionalmente una lista di errori riscontrati durante il processo di sospensione (o revoca della stessa) non andato a buon fine, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getReportErogatoMensile

          public ReportErogatoMensileResponse getReportErogatoMensile(DatiOperatore datiOperatore,
                                                                      DatiApplicativo datiApplicativo,
                                                                      java.lang.String annoMese)

      Il servizio permette di ottenere i dati delle sole ricette erogate in un determinato periodo di tempo.
      I dati estratti per ciascuna ricetta corrispondono a quelli richiesti anche dall'adempimento dell'invio mensile (comma 5, art.50), a meno di somme di dati che devono essere calcolate.
      Per poter chiamare il servizio, oltre ai dati comuni elencati precedentemente, è quindi necessario indicare il periodo temporale, per cui si desidera ricevere i dati.
      I dati vengono restituiti all'interno del tag fileCSV in formato base64.
      Per ottenere i dati nel formato CSV, una volta ottenuta la risposta del web services, è quindi necessario:
      - Decodificare il contenuto del tag fileCSV per ricavare il formato binario (byte array) nel file archivio di tipo .zip
      - Estrarre il file CSV dal file di archivio tipo .zip scritto precedentemente.
      Il servizio può essere richiesto unicamente dalle ore 22 alle ore 8.
      Si rimanda al documento DM+2+nov+2011-Specifiche+tecniche+ricetta+dematerializzata-EROGAZIONE pubblicato sul portale sistema TS per la definizione del tracciato CSV
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `annoMese` - periodo per cui si desidera ricevere i dati, nel formato aaaamm oppure aaaammppnn, dove:
        - aaaa = anno (es.: 2022)
        - mm = mese (es.: 07)
        - pp = parte richiesta (es.: 02)
        - nn = numero di parti in cui suddividere il documento (es.: 05).
        parametro obbligatorio.
      Returns:
        ReportErogatoMensileResponse Restituisce il report estratto e opzionalmente una lista di errori riscontrati durante l'elaborazione del report, oppure un Fault nel caso di errore.
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000331: Formato parti non corretto
        - 000332: Parte corrente maggiore di numero parti

    - #### getScreeningExams

          public ScreeningExamsResponse getScreeningExams(DatiOperatore datiOperatore,
                                                          DatiApplicativo datiApplicativo,
                                                          java.lang.String fromDate,
                                                          java.lang.String toDate,
                                                          ExamsCodeList examCodeList)

      Servizio che consente di estrarre, a partire dalle tabelle del SAR Puglia, l'elenco di tutte le prestazioni erogate relative a ricette dematerializzate.
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `fromDate` - Limite inferiore del range temporale (formato yyyy-mm-dd) obbligatorio.
        `toDate` - Limite superiore del range temporale (formato yyyy-mm-dd) obbligatorio.
        `examCodeList` - Lista di codici del Catalogo Regionale delle Prestazioni obbligatorio.
      Returns:
        ScreeningExamsResponse Restituisce l'elenco delle prestazioni erogate
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000257: Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 999926: Inserire correttamente la data.

    - #### prescriptionCheck

          public PrescriptionCheckResponse prescriptionCheck(DatiOperatore datiOperatore,
                                                             DatiApplicativo datiApplicativo,
                                                             java.lang.String user,
                                                             java.lang.String password,
                                                             java.lang.String idPatient,
                                                             java.lang.String examCode,
                                                             java.lang.String idDoctor)

      Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `user` - Identificativo rilasciato da SIRS a SIST come username di accesso al servizio obbligatorio.
        `password` - Password rilasciata da SIRS a SIST per l’accesso al servizio obbligatorio. *
        `idPatient` - Codice Fiscale Paziente obbligatorio. *
        `examCode` - Codice Prestazione obbligatorio. *
        `idDoctor` - Codice Fiscale Medico Richiedente obbligatorio. *
      Returns:
        PrescriptionCheckResponse Restituisce la response cooperazione SIST-SIRS
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000010: Indisponibilità del sistema
        - 000050: Parametro user non specificato
        - 000051: Parametro password non specificato
        - 000052: Credenziali Errate
        - 000053: Parametro idPatient non specificato
        - 000054: Parametro examCode non specificato
        - 000500: Paziente non trovato
        - 000501: Codice Esame non valido

    - #### getScreeningStatus

          public ScreeningStatusResponse getScreeningStatus(DatiOperatore datiOperatore,
                                                            DatiApplicativo datiApplicativo,
                                                            java.lang.String user,
                                                            java.lang.String password,
                                                            java.lang.String idPatient,
                                                            java.lang.String screeningTypeCode,
                                                            java.lang.String idDoctor)

      Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
      Parameters:
        `datiOperatore` - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `user` - Identificativo rilasciato da SIRS a SIST come username di accesso al servizio obbligatorio.
        `password` - Password rilasciata da SIRS a SIST per l’accesso al servizio obbligatorio. *
        `idPatient` - Codice Fiscale Paziente obbligatorio. *
        `screeningTypeCode` - Codice Prestazione Tipo di screening [CU,MM,CR] non obbligatorio. *
        `idDoctor` - Codice Fiscale Medico Richiedente obbligatorio. *
      Returns:
        PrescriptionCheckResponse Restituisce la response cooperazione SIST-SIRS
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000010: Indisponibilità del sistema
        - 000050: Parametro user non specificato
        - 000051: Parametro password non specificato
        - 000052: Credenziali Errate
        - 000053: Parametro idPatient non specificato
        - 000054: Parametro screeningTypeCode non specificato
        - 000500: Paziente non trovato
        - 000501: Codice Esame non valido

    - #### getScreeningReport

          public ScreeningReportResponse getScreeningReport(DatiOperatore datiOperatore,
                                                            DatiApplicativo datiApplicativo,
                                                            java.lang.String user,
                                                            java.lang.String password,
                                                            java.lang.String screeningTypeCode,
                                                            java.lang.String idDoctor)

      Servizio che verifica in merito all’appropriatezza di una prescrizione sanitaria
      Parameters:
        `user` - Identificativo rilasciato da SIRS a SIST come username di accesso al servizio obbligatorio.
        `password` - Password rilasciata da SIRS a SIST per l’accesso al servizio obbligatorio. *
        `screeningTypeCode` - Codice Prestazione [CU,MM,CR] obbligatorio. *
        `idDoctor` - Codice Fiscale Medico Richiedente obbligatorio. *
      Returns:
        PrescriptionCheckResponse Restituisce la response cooperazione SIST-SIRS
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000010: Indisponibilità del sistema
        - 000050: Parametro user non specificato
        - 000051: Parametro password non specificato
        - 000052: Credenziali Errate
        - 000053: Parametro screeningTypeCode non specificato
        - 000054: Parametro idDoctor non specificato
        - 000501: Codice Esame non valido